/*
 * Copyright 2012 Agorava
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * <p>
 * Allows a library to expose sets of beans which may be configured multiple times in an application. When exposing
 * these services via CDI, it would be time consuming and error prone to force the end developer to provide producers
 * for all the different classes required. Generic beans provides a solution, allowing a framework author to
 * provide a set of related beans, one for each single configuration point defined by the end developer.
 * The configuration points specifies the qualifiers which are inherited by all beans in the set.
 * </p>
 *
 * @see org.agorava.utils.solder.bean.generic.Generic
 * @see org.agorava.utils.solder.bean.generic.GenericConfiguration
 * @see org.agorava.utils.solder.bean.generic.GenericType
 *
 * @author Pete Muir
 * @author Stuart Douglas
 * @author Ove Ranheim
 */

package org.agorava.utils.solder.bean.generic;

