/*
 * Copyright 2012 Agorava
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.agorava.utils.solder.literal;

import org.agorava.utils.solder.bean.defaultbean.DefaultBean;

import javax.enterprise.util.AnnotationLiteral;

public class DefaultBeanLiteral extends AnnotationLiteral<DefaultBean> implements DefaultBean {

    private static final long serialVersionUID = 4907169607105615674L;

    private final Class<?> clazz;

    public DefaultBeanLiteral(Class<?> clazz) {
        this.clazz = clazz;
    }

    public Class<?> value() {
        return clazz;
    }
}
