/*
 * Copyright 2012 Agorava
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.agorava.utils.solder.util.collections;

import java.util.Set;

public class Collections2 {

    private Collections2() {
    }

    static boolean setEquals(Set<?> thisSet, Object object) {
        if (object == thisSet) {
            return true;
        }
        if (object instanceof Set<?>) {
            Set<?> thatSet = (Set<?>) object;
            return thisSet.size() == thatSet.size()
                    && thisSet.containsAll(thatSet);
        }
        return false;
    }

}
